Categories:
  - Internet
  - Connectivity
License: Apache-2.0
WebSite: http://www.freerdp.com/
SourceCode: https://github.com/FreeRDP/FreeRDP
IssueTracker: https://github.com/FreeRDP/FreeRDP/issues

AutoName: aFreeRDP
Description: |-
    ''FreeRDP'' is a free implementation of the Remote Desktop Protocol (RDP),
    released under the Apache license. Enjoy the freedom of using your software
    wherever you want, the way you want it, in a world where interoperability can
    finally liberate your computing experience.

    You can simply use your Android device to start all your applications like Word,
    Outlook, Adobe Photoshop, games or any other installed application.

    ''aFreeRDP'' supports all operating systems that support Terminal Services
    respectively Remote Desktop Services out of the box.

RepoType: git
Repo: https://github.com/FreeRDP/FreeRDP.git

Builds:
  - versionName: 2.0.0-rc0
    versionCode: 10
    commit: 2.0.0-rc0
    subdir: client/Android/Studio/aFreeRDP
    patch:
      - 2.0.0-rc0-gcc-sysroot.diff
    gradle:
      - yes
    prebuild:
      - echo -e "RELEASE_STORE_FILE=\nRELEASE_KEY_ALIAS=" >>../gradle.properties
      - cd ../../../../scripts
      - sed -i -e 's/OPENSSL_TAG=OpenSSL_1_1_0[a-f]/OPENSSL_TAG=OpenSSL_1_1_0g/' -e
        's/WITH_OPENH264=0/WITH_OPENH264=1/' android-build-*.conf
      - sed -i -e 's/make/make USE_ASM=no/' android-build-openh264.sh
    build:
      - cd ../../../../scripts
      - ./android-build-freerdp.sh --ndk $$NDK$$ --sdk $$SDK$$ --conf android-build-32.conf
      - ./android-build-freerdp.sh --ndk $$NDK$$ --sdk $$SDK$$ --conf android-build-64.conf
    ndk: r12b

  - versionName: 2.0.0-rc1
    versionCode: 11
    commit: 2.0.0-rc1
    subdir: client/Android/Studio/aFreeRDP
    patch:
      - 2.0.0-rc0-gcc-sysroot.diff
    gradle:
      - yes
    prebuild:
      - echo -e "RELEASE_STORE_FILE=\nRELEASE_KEY_ALIAS=" >>../gradle.properties
      - cd ../../../../scripts
      - sed -i -e 's/OPENSSL_TAG=OpenSSL_1_1_0[a-f]/OPENSSL_TAG=OpenSSL_1_1_0g/' -e
        's/WITH_OPENH264=0/WITH_OPENH264=1/' android-build-*.conf
      - sed -i -e 's/make/make USE_ASM=no/' android-build-openh264.sh
    build:
      - cd ../../../../scripts
      - ./android-build-freerdp.sh --ndk $$NDK$$ --sdk $$SDK$$ --conf android-build-32.conf
      - ./android-build-freerdp.sh --ndk $$NDK$$ --sdk $$SDK$$ --conf android-build-64.conf
    ndk: r12b

  - versionName: 2.0.0-rc2
    versionCode: 12
    commit: 2.0.0-rc2
    subdir: client/Android/Studio/aFreeRDP
    patch:
      - 2.0.0-rc0-gcc-sysroot.diff
    gradle:
      - yes
    prebuild:
      - echo -e "RELEASE_STORE_FILE=\nRELEASE_KEY_ALIAS=" >>../gradle.properties
      - cd ../../../../scripts
      - sed -i -e 's/OPENSSL_TAG=OpenSSL_1_1_0[a-g]/OPENSSL_TAG=OpenSSL_1_1_0h/' -e
        's/WITH_OPENH264=0/WITH_OPENH264=1/' android-build-*.conf
      - sed -i -e 's/make/make USE_ASM=no/' android-build-openh264.sh
    build:
      - cd ../../../../scripts
      - ./android-build-freerdp.sh --ndk $$NDK$$ --sdk $$SDK$$ --conf android-build-32.conf
      - ./android-build-freerdp.sh --ndk $$NDK$$ --sdk $$SDK$$ --conf android-build-64.conf
    ndk: r12b

  - versionName: 2.0.0-rc4
    versionCode: 14
    commit: 2.0.0-rc4
    subdir: client/Android/Studio/aFreeRDP
    gradle:
      - yes
    prebuild:
      - echo -e "RELEASE_STORE_FILE=\nRELEASE_KEY_ALIAS=" >>../gradle.properties
      - cd ../../../../scripts
      - sed -i -e 's/OPENSSL_TAG=OpenSSL_1_1_0[a-h]/OPENSSL_TAG=OpenSSL_1_1_0i/' -e
        's/WITH_OPENH264=0/WITH_OPENH264=1/' android-build-*.conf
      - sed -i -e 's/make/make USE_ASM=no/' android-build-openh264.sh
    build:
      - cd ../../../../scripts
      - ./android-build-freerdp.sh --ndk $$NDK$$ --sdk $$SDK$$ --conf android-build-32.conf
      - ./android-build-freerdp.sh --ndk $$NDK$$ --sdk $$SDK$$ --conf android-build-64.conf
    ndk: r12b

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 2.0.0-rc4
CurrentVersionCode: 14
